<?php
/**
 * @var \App\View\AppView $this
 */
?>
<?= $this->Html->charset(); ?>
<title><?= h($this->fetch('title')); ?></title>
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta name="description" content="<?= h($this->fetch('description')); ?>">
<meta name="keywords" content="<?= h(get_option('seo_keywords')); ?>">

<?= $this->Assets->favicon() ?>

<link href="//fonts.googleapis.com/css?family=Lato:300,400,700,900" rel="stylesheet">
<link rel="stylesheet" href="/vendor/bootstrap/css/bootstrap.min.css" />
<link rel="stylesheet" href="/vendor/font-awesome/css/font-awesome.min.css" />
<link rel="stylesheet" href="/vendor/animate.min.css" />
<link rel="stylesheet" href="/vendor/owl/owl.carousel.min.css" />
<link rel="stylesheet" href="/vendor/owl/owl.theme.default.css" />
<link rel="stylesheet" href="/new_vision_theme/css/front.css" />
<link rel="stylesheet" href="/new_vision_theme/css/app.css" />
<link rel="stylesheet" href="/new_vision_theme/css/spritesheet.css" />

<?= get_option('head_code'); ?>
<?= $this->fetch('scriptTop') ?>

<!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
<!--[if lt IE 9]>
<script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
<![endif]-->
