<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\User $user
 */
?>
<?php
$this->assign('title', __('Sign In'));
$this->assign('description', __('Sign in to start your session'));
?>
<head>
<?= $this->Html->charset(); ?>
<title><?= h($this->fetch('title')); ?></title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="description" content="<?= h($this->fetch('description')); ?>">
<meta name="keywords" content="<?= h(get_option('seo_keywords')); ?>">
<link href='webroot/img/favicon.ico' type='image/x-icon' rel='icon' />
<link href='webroot/img/favicon.ico' type='image/x-icon' rel='shortcut icon' />
<link rel="stylesheet" href="https://za.gl/vendor/bootstrap/css/bootstrap.min.css?ver=6.0.36" /><link rel="stylesheet" href="https://za.gl/vendor/font-awesome/css/font-awesome.min.css?ver=6.0.36" /><link rel="stylesheet" href="https://za.gl/vendor/dashboard/css/AdminLTE.min.css?ver=6.0.36" /><link rel="stylesheet" href="https://za.gl/vendor/dashboard/css/skins/_all-skins.min.css?ver=6.0.36" /><link rel="stylesheet" href="https://za.gl/css/app.css?ver=6.0.36" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<script>
//Generic functions

function getRandomArbitrary(min, max) {
  return Math.random() * (max - min) + min;
}

function getQueryStringValue (key) {  
  return decodeURIComponent(window.location.search.replace(new RegExp("^(?:.*[&\\?]" + encodeURIComponent(key).replace(/[\.\+\*]/g, "\\$&") + "(?:\\=([^&]*))?)?.*$", "i"), "$1"));  
}  


function setCookie(cname, cvalue, exdays) {
    var d = new Date();
    d.setTime(d.getTime() + (exdays*24*60*60*1000));
    var expires = "expires="+ d.toUTCString();
    document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
}

function getCookie(cname) {
  var name = cname + "=";
  var decodedCookie = decodeURIComponent(document.cookie);
  var ca = decodedCookie.split(';');
  for(var i = 0; i <ca.length; i++) {
    var c = ca[i];
    while (c.charAt(0) == ' ') {
      c = c.substring(1);
    }
    if (c.indexOf(name) == 0) {
      return c.substring(name.length, c.length);
    }
  }
  return "";
}

var domain = window.location.hostname;
</script>
<script>
 setCookie("sls", 0);
if(getQueryStringValue ("cid") !== ''){
setCookie("cid", getQueryStringValue ("cid"));
}
if(getQueryStringValue ("sid") !== ''){
setCookie("sid", getQueryStringValue ("sid"));
}

setCookie("tmz", Intl.DateTimeFormat().resolvedOptions().timeZone);
</script>
<script>

// Would write the value of the QueryString-variable called name to the console  
//console.log(getQueryStringValue("reff")); 
if(getQueryStringValue("reff") !== ''){
setCookie("ref", getQueryStringValue("reff"));
}
if(getQueryStringValue("clickID") !== ''){
setCookie("clickID", getQueryStringValue("clickID"));
}

var referral = getCookie("ref");
console.log(referral);

if(referral == null || referral.length === 0 || referral == ""){
var numb = getRandomArbitrary(0, 1000);
if(numb < 51){
setCookie("ref","admin");
}else{
setCookie("ref","admin");
}
console.log('no referral', numb);
}

</script>
<?= get_option('head_code'); ?>
<?= $this->fetch('scriptTop') ?>

<body class="login-page" style="height: auto;">
<div class="container container-login">
<div class="login-box">
<div class="login-logo">

</div>
<div class="login-box-body col-md-5 box-1">
<div class="inside-cont col-md-10 col-md-offset-1">
<style>
  @import url(https://fonts.googleapis.com/css?family=Bangers|Cinzel:400,700,900|Lato:100,300,400,700,900|Lobster|Lora:400,700|Mansalva|Muli:200,300,400,600,700,800,900|Open+Sans:300,400,600,700,800|Oswald:200,300,400,500,600,700|Roboto:100,300,400,500,700,900&display=swap);body{font-size:17px;color:#424242;font-family:'Open Sans',sans-serif;background-color:#fff;background-image:url("https://www.transparenttextures.com/patterns/clean-gray-paper.png");margin:0;padding:0}.//logo-holder{text-align:center}.logo-6 h3{color:#e74c3c;font-family:Cinzel,serif;font-weight:300;font-size:30px;line-height:1.3}.logo-6 h3 span{background:#e74c3c;color:#fff;display:inline-block;line-height:1.8;padding:0 16px}@media only screen and (max-width:736px){.logo-container ul li{width:290px;margin-left:auto;margin-right:auto;float:none!important}}
</style>

<div class="logo-container">
  <div class="logo-holder logo-6">
    <a href="/">
      <h3>
        <?php
          $site_name = get_option('site_name'); // Get the site name
          $name_length = strlen($site_name);    // Get the length of the site name
          $half_length = ceil($name_length / 2); // Calculate the half length, rounding up

          $first_half = substr($site_name, 0, $half_length); // Get the first half of the name
          $second_half = substr($site_name, $half_length);   // Get the second half of the name

          echo htmlspecialchars($first_half); // Print first half
          echo '<span>' . htmlspecialchars($second_half) . '</span>'; // Print second half in a <span>
        ?>
      </h3>
    </a>
  </div>
</div>
<h1 class="login-h2">Sign in</h1>
<p class="login-p">Don't have an account?</p>
<a href="/auth/signup" class="text-center">Register a new membership</a>

<?= $this->Form->create($user, ['id' => 'signin-form']); ?>

<div class="form-group text  required">
<?=
$this->Form->control('username', [
    'label' => false,
    'placeholder' => __('Username or email address'),
    'class' => 'form-control',
])
?>
</div> 
<div class="">
    <div class="form-group password required">
        <?= $this->Form->control('password', [
            'label' => false,
            'placeholder' => __('Password'),
            'class' => 'form-control',
            'id' => 'password-field',
        ]) ?>
    </div>
    <i class="toggle-password eye-closed eye-icon"></i>
</div>
<script>$(document).ready(function(){$(".toggle-password").click(function(){var e=$("#password-field"),s=$(this);"password"===e.attr("type")?(e.attr("type","text"),s.removeClass("eye-closed").addClass("eye-open")):(e.attr("type","password"),s.removeClass("eye-open").addClass("eye-closed"))})});</script>
<div class="remember">
<div class="rememberdiv">
<?= $this->Form->control('remember_me', [
    'type' => 'checkbox',
    'label' => __('Remember me'),
]) ?> 
</div>

<a href="/auth/forgot-password">Forgot password?</a>
</div>

<?php if ((get_option('enable_captcha_signin', 'no') == 'yes') && isset_captcha()) : ?>
    <div class="form-group captcha">
        <div id="captchaSignin" style="display: inline-block;"></div>
    </div>
<?php endif; ?>

<?= $this->Form->button(__('Sign In'), [
    'class' => 'btn btn-primary btn-block btn-flat btn-captcha',
    'id' => 'invisibleCaptchaSignin',
]); ?>

<?= $this->Form->end() ?>
<div class="social-auth-links text-center">
</div>
</div>
</div>
<div class="login-box-body box-2 col-md-5">
<h2>Shorten urls
</br> and earn money.</h2>
<p>We combine all advertising types with best payout rates up to $160 / 10000 visits. Start making money and shorten links!
</p>
<button class="btn-learn"><a class="learn" href="/">LEARN MORE</a></button>
</div>

</div></div>