<?php
/**
 * @var \App\View\AppView $this
 */
?>
<footer>
    <div class="container">
        <section class="payment-container">
    <div class="slide"><img src="/new_vision_theme/img/paypal.svg"></div>
    <div class="slide"><img src="/new_vision_theme/img/payza.svg"></div>
    <div class="slide"><img src="/new_vision_theme/img/Skrill.svg"></div>
    <div class="slide"><img src="/new_vision_theme/img/webmoney.svg"></div>
    <div class="slide"><img src="/new_vision_theme/img/bitcoin.svg"></div>
    <div class="slide"><img src="/new_vision_theme/img/tbank.svg"></div>
</section>
</div>

<div class="copyright-container">
    <div class="container">
        <div class="row">
            <div class="footer-items">
                <div class="col-md-4">
                    <div class='copyright-text'>Copyright &copy; <?= strtoupper(h(get_option('site_name'))) ?>.com | <?php $currentYear = date("Y");echo "" . $currentYear;?>
    </div>
</div>
    <div class="footer-mobile">
        <div class="col-md-4 social-links">
            <ul class="list-inline">
                
				<?php if (get_option('facebook_url')) : ?>
					<li><a href="<?= h(get_option('facebook_url')) ?>"><i class="fa fa-facebook"></i></a></li>
				<?php endif; ?>
				
				<?php if (get_option('twitter_url')) : ?>
					<li><a href="<?= h(get_option('twitter_url')) ?>"><i class="fa fa-telegram"></i></a></li>
				<?php endif; ?>
            </ul>
</div>

<div class="col-md-4 bottom-menu">
    <ul class="list-inline">
    <li><a class="privacy" href="/pages/privacy">Privacy Policy</a></li>
    <li><a class="terms" href="/pages/terms">Terms of use</a></li>
</ul>
</div>
</div>
</div>
</div>
</div>
</div>
</footer>

<?= $this->element('js_vars'); ?>

<script data-cfasync="false" src="<?= $this->Assets->url('/js/ads.js') ?>"></script>

<?php
if ((bool)get_option('combine_minify_css_js', false)) {
    echo $this->Assets->script('/build/js/script.min.js?ver=' . APP_VERSION);
} else {
    echo $this->Assets->script('/vendor/jquery.min.js?ver=' . APP_VERSION);
    echo $this->Assets->script('/vendor/bootstrap/js/bootstrap.min.js?ver=' . APP_VERSION);
    echo $this->Assets->script('/vendor/owl/owl.carousel.min.js?ver=' . APP_VERSION);
    echo $this->Assets->script('/vendor/wow.min.js?ver=' . APP_VERSION);
    echo $this->Assets->script('/vendor/clipboard.min.js?ver=' . APP_VERSION);
    echo $this->Assets->script('/js/front.js?ver=' . APP_VERSION);
    echo $this->Assets->script('/js/app.js?ver=' . APP_VERSION);
}
?>

<?php if (in_array(get_option('captcha_type', 'recaptcha'), ['recaptcha', 'invisible-recaptcha'])) : ?>
    <script src="https://www.recaptcha.net/recaptcha/api.js?onload=onloadRecaptchaCallback&render=explicit"
            async defer></script>
<?php endif; ?>

<?php if (get_option('captcha_type') == 'solvemedia') : ?>
    <script language="javascript" type="text/javascript">
      var script = document.createElement('script');
      script.type = 'text/javascript';

      if (location.protocol === 'https:') {
        script.src = 'https://api-secure.solvemedia.com/papi/challenge.ajax';
      } else {
        script.src = 'http://api.solvemedia.com/papi/challenge.ajax';
      }
      document.body.appendChild(script);
    </script>
<?php endif; ?>

<?= $this->fetch('scriptBottom') ?>
<?= get_option('footer_code'); ?>
