<?php
$this->assign('title', (get_option('site_meta_title')) ?: get_option('site_name'));
$this->assign('description', get_option('description'));
$this->assign('content_title', get_option('site_name'));
?>
<style>
.copy-it{
	height: 36px;
    width: 36px;
    margin-right: 63px;
}
</style>

<header class="shorten">
<div class="section-inner">
<div class="container">
<div class="inner-container">
<div class="intro-text">
<div class="intro-items">
<div class="image-left"><img src="new_vision_theme/img/el1.svg"></div>
<div class="top-image"><img src="new_vision_theme/img/ellipse-1.svg" alt=""></div>
<div class="mid-rectangle"><img src="new_vision_theme/img/mid-rectangle.webp" alt=""></div>
<div class="image-right"><img src="new_vision_theme/img/Component-1.svg" alt="" srcset="">
</div>
<h1 class="intro-lead-in wow zoomIn" data-wow-delay="0.3s">Making money</h1>
<div class="intro-lead-in wow pulse" data-wow-delay="2.0s">on shortened links</div>
<div class="intro-lead-small wow pulse" data-wow-delay="2.0s">We combine all advertising types with best payout rates up to $250 / 10000 visits.</div>
<div class="intro-lead-small small-2 wow pulse" data-wow-delay="2.0s">Refer friends and receive 10% of their earnings for life!</div>
<div class="row wow rotateInUpLeft" data-wow-delay="0.3s">
<div class="col-sm-8">
 <?php if (get_option('home_shortening') == 'yes') : ?>
                            <?= $this->element('shorten'); ?>
                        <?php endif; ?>
</div>
</div>
<div class="intro-lead-small small-terms wow pulse" data-wow-delay="2.0s">* By using our service you accept the <a href="pages/terms">Terms <a href="pages/privacy">and Privacy.</a></a></div>
</div>
<div class="cards-right">
<a href="/auth/signup">
<div class="card-1">
<img src="new_vision_theme/img/create.svg" alt="Create an account and start url shortening! Earn money">
<p>Create an account</p>
 </div>
</a>
<a href="/auth/signup">
<div class="card-2">
<img src="new_vision_theme/img/shorten.svg" alt="Start to short links and earn money!">
<p>Shorten
your link</p>
</div>
</a>
<a href="/auth/signup">
<div class="card-3">
<img src="new_vision_theme/img/earn.svg" alt="Earn money now and short your urls!">
<p>Earn
money</p>
</div>
</a>
</div>
</div>
</div>
</div>
</div>
</header>
<div class="container">
<div class="cards-mobile">
<a href="/auth/signup" class="card-m-1 cards col-md-3">
<img src="new_vision_theme/img/create.svg" alt="Create an account and start url shortening!">
<p>Create <br> an account</p>
</a>
<a href="/auth/signup" class="card-m-2 cards col-md-3">
<img src="new_vision_theme/img/shorten.svg" alt="Start to short links and earn money!">
<p>Shorten <br> your link</p>
</a>
<a href="/auth/signup" class="card-m-3 cards col-md-3">
<img src="new_vision_theme/img/earn.svg" alt="Earn money now and short your urls!">
<p>Earn<br>
money</p>
</a>
</div>
</div>
<section class="stats top-stats">
<div class="grey-bg container">
<div class="row">
<div class="col-md-4 text-center">
<div class="stat wow flipInY">
<div class="container-items">
<div class="stat-img">
<i class="ms-sprite-clicks ms-sprite-total-links"></i>
</div>
<div class="text-container">
<div class="stat-num" akhi="<?= $totalClicks ?>">
<?= $totalClicks ?>
</div>
<div class="stat-text ">
Total Clicks </div>
</div>
</div>
</div>
</div>
<div class="col-md-4 text-center">
<div class="stat wow flipInY">
<div class="container-items">
<div class="stat-img">
<i class="ms-sprite-links ms-sprite-total-links"></i>
</div>
<div class="text-container">
<div class="stat-num" akhi="<?= $totalLinks ?>">
<?= $totalLinks ?>
</div>
<div class="stat-text">
Total Links </div>
</div>
</div>
</div>
</div>
<div class="col-md-4 text-center">
<div class="stat wow flipInY">
<div class="container-items">
<div class="stat-img">
<i class="ms-sprite-users ms-sprite-total-links"></i>
</div>
<div class="text-container">
<div class="stat-num" akhi=" <?= $totalUsers ?>">
 <?= $totalUsers ?>
</div>
<div class="stat-text">
Registerd users </div>
</div>
</div>
</div>
</div>
</div>
</section>
<section class="features">
<div class="container text-center">
<div class="features-images">
<div class="image-left-fs2"><img src="new_vision_theme/img/rectangle-left.webp"></div>
<div class="image-right-fs2"><img src="new_vision_theme/img/Ellipse-4.svg" alt="" srcset=""></div>
<div class="image-down-fs2"><img src="new_vision_theme/img/Ellipse-5.svg" alt="" srcset=""></div>
<div class="image-down-2-fs2"><img src="new_vision_theme/img/Ellipse-6.svg" alt="" srcset=""></div>
</div>
<div class="section-title wow bounceIn">
<h2 class="section-heading">Why join us?</h2>
</div>
<div style="display: flex; flex-wrap: wrap;" class="what-is">
<div class="col-sm-4 align wow fadeInUp">
<div class="feature">
<div class="feature-img"><i class="ms-sprite-f1"></i></div>
<h4 class="feature-heading">What is <?= __('{0}?', h(get_option('site_name'))) ?>?</h4>
<div class="feature-content"><?= __('{0}?', h(get_option('site_name'))) ?> is a completely free tool where you can create short links. Apart from being free, you can even get paid! So, now you can make money from home, by managing and protecting your links.</div>
</div>
</div>
<div class="col-sm-4 align wow fadeInUp">
<div class="feature">
<div class="feature-img"><i class="ms-sprite-f2"></i></div>
<h4 class="feature-heading">How and how much do I earn?</h4>
<div class="feature-content">How can you start making money with <?= __('{0}?', h(get_option('site_name'))) ?>? It's just 3 steps: create an account, create a link and post it - for every visit, you earn money. It's just that easy!</div>
</div>
</div>
<div class="col-sm-4 align wow fadeInUp">
<div class="feature">
<div class="feature-img"><i class="ms-sprite-f3"></i></div>
<h4 class="feature-heading">10% Referral Bonus</h4>
<div class="feature-content">The <?= __('{0}?', h(get_option('site_name'))) ?> referral program is a great way to spread the word of this great service and to earn even more money with your short links! Refer friends and receive 10% of their earnings for life!</div>
</div>
</div>
<div class="col-sm-4 align wow fadeInUp">
<div class="feature">
<div class="feature-img"><i class="ms-sprite-f4"></i></div>
<h4 class="feature-heading">Featured Administration Panel</h4>
<div class="feature-content">Control all of the features from the administration panel with a click of a button.</div>
</div>
</div>
<div class="col-sm-4 align wow fadeInUp">
<div class="feature">
<div class="feature-img"><i class="ms-sprite-f5"></i></div>
<h4 class="feature-heading">Detailed Stats</h4>
<div class="feature-content">Know your audience. Analyse in detail what brings you the most income and what strategies you should adapt.</div>
</div>
</div>
<div class="col-sm-4 align wow fadeInUp">
<div class="feature">
<div class="feature-img"><i class="ms-sprite-f6"></i></div>
<h4 class="feature-heading">Low Minimum Payout</h4>
<div class="feature-content">You are required to earn only $10.00 before you will be paid. We can pay all users via their PayPal.</div>
</div>
</div>
<div class="col-sm-4 align wow fadeInUp">
<div class="feature last">
<div class="feature-img"><i class="ms-sprite-f7"></i></div>
<h4 class="feature-heading">Highest Rates</h4>
<div class="feature-content">Make the most out of your traffic with our always increasing rates.</div>
</div>
</div>
<div class="col-sm-4 align wow fadeInUp">
<div class="feature last">
<div class="feature-img"><i class="ms-sprite-f8"></i></div>
<h4 class="feature-heading">API</h4>
<div class="feature-content">Shorten links more quickly with easy to use API and bring your creative and advanced ideas to life.</div>
</div>
</div>
<div class="col-sm-4 align wow fadeInUp">
<div class="feature last">
<div class="feature-img"><i class="ms-sprite-f9"></i></div>
 <h4 class="feature-heading">Support</h4>
<div class="feature-content">A dedicated support team is ready to help with any questions you may have.</div>
</div>
</div>
</div>
</div>
</section>

<section id="contact">
<div class="container contact-cont">
<div class="section-title text-center wow bounceIn">
<h2 class="section-heading">Get in touch!</h2>
</div>
<?= $this->element('contact'); ?>

</div>
</section>