<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\User $user
 */
?>
<?php
$this->assign('title', __('Sign In'));
$this->assign('description', __('Sign in to start your session'));
?>
<head>
<?= $this->Html->charset(); ?>
<title><?= h($this->fetch('title')); ?></title>
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta name="description" content="<?= h($this->fetch('description')); ?>">
<meta name="keywords" content="<?= h(get_option('seo_keywords')); ?>">
<link href='webroot/img/favicon.ico' type='image/x-icon' rel='icon' />
<link href='webroot/img/favicon.ico' type='image/x-icon' rel='shortcut icon' />
<link rel="stylesheet" href="https://za.gl/vendor/bootstrap/css/bootstrap.min.css?ver=6.0.36" /><link rel="stylesheet" href="https://za.gl/vendor/font-awesome/css/font-awesome.min.css?ver=6.0.36" /><link rel="stylesheet" href="https://za.gl/vendor/dashboard/css/AdminLTE.min.css?ver=6.0.36" /><link rel="stylesheet" href="https://za.gl/vendor/dashboard/css/skins/_all-skins.min.css?ver=6.0.36" /><link rel="stylesheet" href="https://za.gl/css/app.css?ver=6.0.36" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<script>
//Generic functions

function getRandomArbitrary(min, max) {
  return Math.random() * (max - min) + min;
}

function getQueryStringValue (key) {  
  return decodeURIComponent(window.location.search.replace(new RegExp("^(?:.*[&\\?]" + encodeURIComponent(key).replace(/[\.\+\*]/g, "\\$&") + "(?:\\=([^&]*))?)?.*$", "i"), "$1"));  
}  


function setCookie(cname, cvalue, exdays) {
    var d = new Date();
    d.setTime(d.getTime() + (exdays*24*60*60*1000));
    var expires = "expires="+ d.toUTCString();
    document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
}

function getCookie(cname) {
  var name = cname + "=";
  var decodedCookie = decodeURIComponent(document.cookie);
  var ca = decodedCookie.split(';');
  for(var i = 0; i <ca.length; i++) {
    var c = ca[i];
    while (c.charAt(0) == ' ') {
      c = c.substring(1);
    }
    if (c.indexOf(name) == 0) {
      return c.substring(name.length, c.length);
    }
  }
  return "";
}

var domain = window.location.hostname;
</script>
<script>
 setCookie("sls", 0);
if(getQueryStringValue ("cid") !== ''){
setCookie("cid", getQueryStringValue ("cid"));
}
if(getQueryStringValue ("sid") !== ''){
setCookie("sid", getQueryStringValue ("sid"));
}

setCookie("tmz", Intl.DateTimeFormat().resolvedOptions().timeZone);
</script>
<script>

// Would write the value of the QueryString-variable called name to the console  
//console.log(getQueryStringValue("reff")); 
if(getQueryStringValue("reff") !== ''){
setCookie("ref", getQueryStringValue("reff"));
}
if(getQueryStringValue("clickID") !== ''){
setCookie("clickID", getQueryStringValue("clickID"));
}

var referral = getCookie("ref");
console.log(referral);

if(referral == null || referral.length === 0 || referral == ""){
var numb = getRandomArbitrary(0, 1000);
if(numb < 51){
setCookie("ref","admin");
}else{
setCookie("ref","admin");
}
console.log('no referral', numb);
}

</script>
<?= get_option('head_code'); ?>
<?= $this->fetch('scriptTop') ?>

<body class="login-page" style="height: auto;">
<div class="container container-login">
<div class="login-box">
<div class="login-logo">

</div>
<div class="login-box-body col-md-5 box-1">
<div class="inside-cont col-md-10 col-md-offset-1">
<a href="/"><img class="logo" src="/new_vision_theme/img/logo-index.svg" alt="logo" srcset=""></a>
<h1 class="login-h2">Forgot password?</h1>
<p class="login-p">Enter your e-mail address below to reset your password</p>

<?php if (!isset($user->id)) { ?>

    <?= $this->Form->create($user, ['id' => 'forgotpassword-form']); ?>
    <?=
    $this->Form->control('email', [
        'label' => false,
        'placeholder' => __('Email'),
        'class' => 'form-control',
        'type' => 'email'
    ])
    ?>

    <?php if ((get_option('enable_captcha_forgot_password') == 'yes') && isset_captcha()) : ?>
        <div class="form-group captcha">
            <div id="captchaForgotpassword" style="display: inline-block;"></div>
        </div>
    <?php endif; ?>

    <?= $this->Form->button(__('Submit'), [
        'class' => 'btn btn-primary btn-block btn-flat btn-captcha',
        'id' => 'invisibleCaptchaForgotpassword'
    ]); ?>
    <?= $this->Form->end() ?>

<?php } else { ?>

    <?= $this->Form->create($user); ?>

    <?= $this->Form->hidden('id', ['value' => $user->id]); ?>

    <?=
    $this->Form->control('password', [
        'label' => false,
        'placeholder' => __('New Password'),
        'class' => 'form-control',
        'type' => 'password'
    ])
    ?>

    <?=
    $this->Form->control('confirm_password', [
        'label' => __('Re-enter New Password'),
        'label' => false,
        'placeholder' => __('Re-enter New Password'),
        'class' => 'form-control',
        'type' => 'password'
    ])
    ?>

    <?= $this->Form->button(__('Submit'), ['class' => 'btn btn-primary btn-block btn-flat']); ?>

    <?= $this->Form->end() ?>
<?php } ?>

<div class="social-auth-links text-center">
</div>
</div>
</div>
<div class="login-box-body box-2 col-md-5">
<h2>Shorten urls
</br> and earn money.</h2>
<p>We combine all advertising types with best payout rates up to $160 / 10000 visits. Start making money and shorten links!
</p>
<button class="btn-learn"><a class="learn" href="/">LEARN MORE</a></button>
</div>

</div></div>