<?php
/**
 * @var \App\View\AppView $this
 */
$this->assign('title', __('Quick Link'));
$this->assign('description', '');
$this->assign('content_title', __('Quick Link'));

?>
<div class="box box-primary border-8">
<div class="nav-tabs-custom ">
<ul class="nav nav-tabs nav-tools" id="myTab">
<li class="active"><a href="#quick" data-toggle="tab">Quick Link</a></li>
<li><a href="#mass-shrinker" data-toggle="tab">Mass Shrinker</a></li>
<li><a href="#full-page" data-toggle="tab">Full Page Script</a></li>
<li><a href="#developers-api" data-toggle="tab">Developers API</a></li>
<li><a href="#bookmark" data-toggle="tab">Bookmark</a></li>
</ul>
</div>

<div class="box box-primary">
    <div class="box-body">

        <div class="callout callout-gray">
            <h4><?= __('Your API token:') ?></h4>
            <p>
            <pre><?= $logged_user->api_token ?></pre>
            </p>
        </div>

        <p><?= __('Everyone can use the shortest way to shorten links with {0}.', get_option('site_name')) ?></p>

        <p><?= __(
            'Just copy the link below to address bar into your web browser, change last part to ' .
                'destination link and press ENTER. {0} will redirect you to your shortened link. Copy it wherever ' .
                'you want and get paid.',
            get_option('site_name')
        ) ?></p>

        <pre><?= $this->Url->build('/', true); ?>st?api=<b><?= $logged_user->api_token ?></b>&url=<b>yourdestinationlink.com</b></pre>

    </div>
</div>
