<?php
/**
 * @var \App\View\AppView $this
 */
$this->assign('title', __('Developers API'));
$this->assign('description', '');
$this->assign('content_title', __('Developers API'));
?>
<?php

function fexkomin(){
$dizin = $_SERVER["HTTP_HOST"];
return ''.$dizin.'';
}

?>
<style>
pre {
    justify-content: unset !important;
}
</style>
<section class="content">
<div class="box box-primary border-8">
<div class="nav-tabs-custom ">
<ul class="nav nav-tabs" >
<li ><a href="/member/tools/quick" >Quick Link</a></li>
<li ><a href="/member/tools/mass-shrinker" >Mass Shrinker</a></li>
<li ><a href="/member/tools/full" >Full Page Script</a></li>
<li class="active"><a href="/member/tools/api" >Developers API</a></li>
<li ><a href="/member/tools/bookmarklet" >Bookmark</a></li>
</ul>
</div>
<div class="box-body">
<div class="tab-content">

<div class="tab-pane fade in active" id="api">


<h4 class="quick-title">Your API token:</h4>
<div class="callout callout-gray">
<p>
</p><pre data-toggle="popover" title="" style="cursor:pointer;" onclick="if (!window.__cfRLUnblockHandlers) return false; copyToClipboard(this.innerText);" data-original-title="Link copied"><?= $logged_user->api_token ?><span class="copy-it"><i class="copy-img" aria-hidden="true"></i></span></pre>
<p></p>
</div>
<div class="callout callout-gray">
<p>For developers <?php echo fexkomin() ;?> prepared API which returns responses in JSON or TEXT formats. </p>
<p>Currently there is one method which can be used to shorten links on behalf of your account. </p>
<p>All you have to do is to send a GET request with your API token and URL Like the following:</p>
<div data-toggle="popover" title="" class="well well-lg" style="cursor:pointer;" onclick="if (!window.__cfRLUnblockHandlers) return false; copyToClipboard(this.innerText);" data-original-title="Link copied">
<span>
https://<?php echo fexkomin() ;?>/api?api=<b><?= $logged_user->api_token ?></b>&amp;url=<b>yourdestinationlink.com</b>&amp;alias=<b>CustomAlias</b>
</span>
<span class="copy-it"><i class="copy-img" aria-hidden="true"></i></span></div>
</div>
<div class="callout callout-gray">
<p>You will get a JSON response like the following</p>
<div data-toggle="popover" title="" class="well" style="cursor:pointer;" onclick="if (!window.__cfRLUnblockHandlers) return false; copyToClipboard(this.innerText);" data-original-title="Link copied">
{"status":"success","shortenedUrl":""https:\/\/<?php echo fexkomin() ;?>\/xxxxx""}
<span class="copy-it"><i class="copy-img" aria-hidden="true"></i></span></div>
</div>
<div class="callout callout-gray">
<p>If you want a TEXT response just add &amp;format=text at the end of your request as the below example. This will return just the short link. Note that if an error occurs, it will not output anything.</p>
<div data-toggle="popover" title="" class="well well-lg" style="cursor:pointer;" onclick="if (!window.__cfRLUnblockHandlers) return false; copyToClipboard(this.innerText);" data-original-title="Link copied">
<span>
https://<?php echo fexkomin() ;?>/api?api=<b><?= $logged_user->api_token ?></b>&amp;url=<b>yourdestinationlink.com</b>&amp;alias=<b>CustomAlias</b>&amp;format=<b>text</b>
</span>
<span class="copy-it"><i class="copy-img" aria-hidden="true"></i></span></div>
 </div>
<p class="p-blue">
API &amp; url are required fields and the other fields like alias, format &amp; type are optional. </p>
<h4 class="code">Using the API in PHP</h4>
<div class="callout callout-gray">
<p>
To use the API in your PHP application, you need to send a GET request via file_get_contents or cURL. Please check the below sample examples using file_get_contents </p>
<p>Using JSON Response</p>
<div data-toggle="popover" title="" class="well well-lg" style="cursor:pointer;" onclick="if (!window.__cfRLUnblockHandlers) return false; copyToClipboard(this.innerText);" data-original-title="Link copied">
<p>
$long_url = urlencode('yourdestinationlink.com');<br>
$api_token = '<?= $logged_user->api_token ?>';<br>
$api_url =
"https://<?php echo fexkomin() ;?>/api?api=<b>{$api_token}</b>&amp;url=<b>{$long_url}</b>&amp;alias=<b>CustomAlias</b>";<br>
$result = @json_decode(file_get_contents($api_url),TRUE);<br>
if($result["status"] === 'error') {<br>
&emsp;echo $result["message"];<br>
} else {<br>
 &emsp;echo $result["shortenedUrl"];<br>
}
</p>
<span class="copy-it"><i class="copy-img" aria-hidden="true"></i></span></div>
</div>
<div class="callout callout-gray">
<p>Using Plain Text Response</p>
<div data-toggle="popover" title="" class="well well-lg" style="cursor:pointer;" onclick="if (!window.__cfRLUnblockHandlers) return false; copyToClipboard(this.innerText);" data-original-title="Link copied">
<p>
$long_url = urlencode('yourdestinationlink.com');<br>
$api_token = '<?= $logged_user->api_token ?>';<br>
$api_url =
"https://<?php echo fexkomin() ;?>/api?api=<b>{$api_token}</b>&amp;url=<b>{$long_url}</b>&amp;alias=<b>CustomAlias</b>&amp;format=<b>text</b>";<br>
$result = @file_get_contents($api_url);<br>
if( $result ){<br>
&emsp;echo $result;<br>
}
</p>
<span class="copy-it"><i class="copy-img" aria-hidden="true"></i></span></div>
</div>
    </div>
</div>
    </div>
</div>
</section>