<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\User $user
 */
?>
<?php
$this->assign('title', __('Change Email'));
$this->assign('description', '');
$this->assign('content_title', __('Change Email'));
?>

<section class="content">
<div class="box box-primary box-support border-5">
<div class="nav-tabs-custom">
<ul class="nav nav-tabs">
<li class="active" ><a href="/member/users/profile" >Profile</a></li>
<li ><a href="/member/users/change-password" >Change Password</a></li>
<li><a href="/member/users/change-email">Change Email</a></li>
</ul>
</div>

<div class="box-body">
<div class="tab-content">
<div class="tab-pane fade in active">

        <?= $this->Form->create($user); ?>

        <?= $this->Form->hidden('id'); ?>

        <?=
        $this->Form->control('email', [
            'label' => __('Current Email'),
            'class' => 'form-control',
            'disabled' => 'disabled'
        ])

        ?>

        <?=
        $this->Form->control('temp_email', [
            'label' => __('New Email'),
            'class' => 'form-control',
            'type' => 'email'
        ])

        ?>

        <?=
        $this->Form->control('confirm_email', [
            'label' => __('Re-enter New Email'),
            'class' => 'form-control',
            'type' => 'email'
        ])

        ?>

        <?= $this->Form->button(__('Submit'), ['class' => 'btn btn-profile btn-lg']); ?>

        <?= $this->Form->end() ?>
</div>
</div>
</div>
    </div>
</section>
  