<style>.btn1{display:inline-block;font-weight:400;text-align:center;white-space:nowrap;vertical-align:middle;user-select:none;border:1px solid transparent;padding:.375rem .75rem;font-size:1.5rem;line-height:1.7;border-radius:.25rem;transition:color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out}.btn1-success{color:#fff;background-color:#28a745;border-color:#28a745}.btn1-block{display:block;width:100%}.btn1:focus,.btn1:hover{color:#fff;background-color:#218838;border-color:#1e7e34}
</style>
<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Withdraw[]|\Cake\Collection\CollectionInterface $withdraws
 * @var \App\Model\Entity\User $user
 */
$this->assign('title', __('Withdraw Funds'));
$this->assign('description', '');
$this->assign('content_title', __('Withdraw Funds'));
?>

<?php
$statuses = [
    1 => __('Approved'),
    2 => __('Pending'),
    3 => __('Complete'),
    4 => __('Cancelled'),
    5 => __('Returned'),
];

$withdrawal_methods = array_column_polyfill(get_withdrawal_methods(), 'name', 'id');
?>
<section class="content">

<div class="withdraw-container">
<div class="row">
<div class="col-md-3">
<div class="small-box-other bg-white">
<div class="inner">
<p>Available Balance</p>
<h3 class="price">
<span class="first-d"><?= display_price_currency($user->publisher_earnings + $user->referral_earnings); ?></span>
</h3>
</div>
<div class="text-center">
  <div class="text-center">
                <button type="button" class="btn btn-withdraw btn-sm" data-toggle="modal" data-target="#withdrawModal">
                    <?= __('Withdraw') ?>
                </button>
            </div>

           <div class="modal fade" id="withdrawModal" tabindex="-1" role="dialog" aria-labelledby="withdrawModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title" id="withdrawModalLabel"><?= __('Withdraw') ?></h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="<?= __('Close') ?>">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        <div class="modal-body">
            <p><?= __('Do you want to withdraw the full amount or enter a lesser amount?') ?></p>
            <?= $this->Form->create(null, ['url' => ['action' => 'request']]) ?>
            <div class="form-group">
                <?= $this->Form->control('amount', ['class' => 'form-control', 'placeholder' => __('Enter withdrawal amount')]) ?>
            </div>
            <?= $this->Form->button(__('Withdraw'), ['class' => 'btn1 btn1-success btn-block']) ?>
            <?= $this->Form->end() ?>
            </div>
        </div>
    </div>
</div>
<style>
.modal-dialog-centered{display:flex;align-items:center;justify-content:center;min-height:100vh;margin:0;position:fixed;top:0;left:0;width:100%}.modal-content{border:none;border-radius:10px;box-shadow:0 0 10px rgba(0,0,0,.3);padding:20px;max-width:400px;width:100%;background-color:#fff;position:relative}.modal-header{display:flex;justify-content:space-between;align-items:center;margin-bottom:15px}.modal-title{font-size:20px;font-weight:700;margin:0}.modal-body{margin-bottom:20px}.form-group{margin-bottom:15px}.form-control{width:100%;padding:10px;border:1px solid #ccc;border-radius:5px}.btn-success{background-color:#28a745;color:#fff;border:none;border-radius:5px;padding:10px 20px;cursor:pointer;font-weight:700;width:100%}.btn-success:hover{background-color:#218838}.close{position:absolute;top:25px;right:25px;font-size:24px;color:#aaa;background:0 0;border:none;cursor:pointer}.close:hover{color:#555}
</style>
</div>
</div>
</div>
<div class="col-md-3">
<div class="small-box-other bg-white">
<div class="inner">
<p>Pending Withdrawn</p>
<h3 class="price">
<span class="first-d"><?= display_price_currency($pending_withdrawn); ?></span>
</h3>
</div>
<div class="icon"><i><img src="/vendor/dashboard/img/pendingwithdrawn.svg" alt="" srcset=""></i>
</div>
</div>
</div>
<div class="col-md-3 col-c-3">
<div class="small-box-other bg-white">
<div class="inner">
<p>Total Withdraw</p>
<h3 class="price">
<span class="first-d"><?= display_price_currency($total_withdrawn); ?></span>
</h3>
</div>
<div class="icon"><i><img src="/vendor/dashboard/img/totalwithdraw.svg" alt=""></i></div>
</div>
</div>
</div>
</div>
<div class="box box-primary box-height border-8">
<div class="box-body">
<p class="p-green">
Money Wallet is used for advertising purposes.
</p>
<p class="p-red">
Your payment request will return to your balance if there is a problem with your payment method (You need to
check your e-mail inbox/spam).
</p>
<p>  <?= __(
                    "When your account reaches the minimum amount or more, you may request your " .
                    "earnings by clicking the above button. The payment is then sent to your withdraw account during " .
                    "business days no longer than {0} days after requesting. Please do not contact us regarding " .
                    "payments before due dates.", get_option('withdraw_days', 4)
                ) ?></p>
<p>
In order to receive your payments you need to fill your payment method and payment ID <a href="/member/users/profile">here</a> if you haven't done so. You are also requested to fill all the required fields in the Account Details section with accurate data. </p>
<style>.latest,.table tr:nth-child(2n){background-color:#f5f5f5}.latest{margin-bottom:20px;padding:10px;border-radius:5px}.latest h5{margin:0;font-size:18px;color:#333}hr{margin:20px 0;border:none;border-top:1px solid #ccc}.active.panel{border:1px solid #ddd;border-radius:5px;padding:15px;background-color:#fff;box-shadow:0 2px 4px rgba(0,0,0,.1)}.table{width:100%;border-collapse:collapse}.table td,.table th{padding:10px;text-align:left;vertical-align:middle}.table th{font-weight:700;border-bottom:2px solid #ddd}.table td{border-bottom:1px solid #ddd}.table-responsive{overflow-x:auto}.table .created{white-space:nowrap}
</style>
<div class="latest">
    <h5>Last Transactions</h5>
</div>
<hr>
<div class="active panel dash-panel table-responsive custom-table" dir="ltr">
    <table class="table dash-table table-mobile table-borderless">
        <thead>
            <tr>
                <th><?= $this->Paginator->sort('id', __('ID')) ?></th>
                <th><?= $this->Paginator->sort('created', __('Date')) ?></th>
                <th><?= __('Status') ?></th>
                <th><?= $this->Paginator->sort('publisher_earnings', __('Publisher Earnings')) ?></th>
                <?php if ((bool)get_option('enable_referrals', 1)) : ?>
                    <th><?= $this->Paginator->sort('referral_earnings', __('Referral Earnings')) ?></th>
                <?php endif; ?>
                <th><?= __('Total Amount') ?></th>
                <th><?= __('Withdrawal Method') ?></th>
                <th><?= __('Withdrawal Account') ?></th>
            </tr>
        </thead>
        <?php foreach ($withdraws as $withdraw) : ?>
            <tr>
                <td><?= $withdraw->id ?></td>
                <td><?= display_date_timezone($withdraw->created); ?></td>
                <td><?= $statuses[$withdraw->status] ?></td>
                <td><?= display_price_currency($withdraw->publisher_earnings); ?></td>
                <?php if ((bool)get_option('enable_referrals', 1)) : ?>
                    <td><?= display_price_currency($withdraw->referral_earnings); ?></td>
                <?php endif; ?>
                <td><?= display_price_currency($withdraw->amount); ?></td>
                <td><?= (isset($withdrawal_methods[$withdraw->method])) ?
                        $withdrawal_methods[$withdraw->method] : $withdraw->method ?></td>
                <td><?= nl2br(h($withdraw->account)); ?></td>
            </tr>
        <?php endforeach; ?>
        <?php unset($withdraw); ?>
    </table>
</div>
</div>
</div>


<ul class="pagination">
    <?php
    $this->Paginator->setTemplates([
        'ellipsis' => '<li><a href="javascript: void(0)">...</a></li>',
    ]);

    if ($this->Paginator->hasPrev()) {
        echo $this->Paginator->prev('«');
    }

    echo $this->Paginator->numbers([
        'modulus' => 4,
        'first' => 2,
        'last' => 2,
    ]);

    if ($this->Paginator->hasNext()) {
        echo $this->Paginator->next('»');
    }
    ?>
</ul>

</section>